<template>
	<div class="booking-section-container">
		<booking-form class="booking-section-container__booking-form"></booking-form>
		<div class="booking-section-container__details">
			<div class="booking-section-container__details__top">
				<ul>
					<li>surfcamps</li>
					<li>räume</li>
					<li>surfen</li>
					<li>umgebung</li>
				</ul>
			</div>
			<div class="booking-section-container__details__middle">
				<h5>surfcamp</h5>
				<h1><span>portugal ericeira!</span><span class="newtag">neu!</span></h1>
				<h3>7 tage ab 348 €</h3>
				<h5>über das camp</h5>
				<p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Sapiente assumenda expedita recusandae asperiores quidem velit eos, nihil voluptatibus non voluptatem.</p>
			</div>
			<div class="booking-section-container__details__bottom">
				<h5>austattung</h5>
				<ul>
					<li><i class="fas fa-cog"></i>Frühstük</li>
					<li><i class="fas fa-briefcase"></i>Workspace</li>
					<li><i class="fas fa-wifi"></i>WIFI</li>
					<li><i class="fas fa-taxi"></i>Lyft master</li>
					<li><i class="fas fa-align-justify"></i>Towels</li>
					<li><a href="">+Mehr</a></li>
				</ul>
			</div>
		</div>
	</div>	
</template>

<script>
import bookingForm from './booking-form'
export default {
	components: {
		bookingForm
	}
}
</script>

<style lang="scss" scoped>
@import '~@/assets/scss/fonts.scss';
$primary : #00A290;
$secondary : #FFA17A;
$breakpoint: 1010px;

.booking-section-container{
	display: flex;
	flex-direction: row-reverse;
	max-width: 960px;
	margin: auto;
	position: relative;
	padding: 0 20px;

  &:before{
    content: '';
    position: absolute;
    background-color: #ECECEB;
    height: 1px;
		bottom: 25px;
		width: 100%;
		left: 0;

		@media(max-width: $breakpoint){
			bottom: 0;
		}
	}
	
	a{
		text-decoration: none;
	}
	
	ul{
		padding: 0;
		margin: 0;
		li{
			list-style: none;
		}
	}

	&__booking-form{
		transform: translateY(-40px);
		flex-shrink: 0;
		@media(max-width: $breakpoint){
			display: none !important;
		}
	}

	&__details{
		width: 100%;
		&__top{
			padding: 30px 0;
			ul{
				display: flex;
	
				li{
					color: #AEACAA;
					font-family: "Brandon Grotesque";
					font-size: 12px;
					font-weight: 900;
					text-transform: uppercase;
					margin: 0;
					margin-right: 30px;
				}
			}
		}

		h1{
			font-size: 48px;
			font-family: "Bebas Neue";
			line-height: 58px;
			font-size: 48px;
			font-weight: bold;
			margin: 0;
			color: #48443E;
			margin-bottom: 15px;
			position: relative;
			display: flex;
			align-items: center;
			flex-wrap: wrap;

			span{
				max-height: 50px;
				margin-right: 20px;
			}

			.newtag{
				margin: 0;
				border-radius: 20px;
				background-color: $secondary;
				font-size: 14px;
				font-weight: bold;
				font-family: "Brandon Grotesque";
				text-transform: uppercase;
				text-align: center;
				line-height: 20px;
				color: #fff;
				box-sizing: border-box;
				padding: 6px 15px;
				display: flex;
				align-items: center;
				justify-content: center;
				height: 35px;

			}
		}

		h5{
			color: #48443E;
			font-family: "Brandon Grotesque";
			font-size: 12px;
			font-weight: 900;
			text-transform: uppercase;
			margin: 0;
			margin-bottom: 8px;
		}

		h3{
			font-family: "Bebas Neue";
			color: $secondary;
			text-transform: uppercase;
			margin: 0;
			margin-bottom: 24px;
			letter-spacing: 1px;
			font-size: 20px;
		}

		&__middle{
			margin-top: 30px;
			padding-bottom: 30px;
			p{
				color: #48443E;
				font-family: roboto;
				margin: 0;
				font-size: 16px;
			}
		}

		&__bottom{
			margin-top: 30px;
			padding-bottom: 20px;
			ul{
				display: flex;
				flex-wrap: wrap;
				font-family: roboto;
				color: #48443E;
				li{
					font-size: 18px;
					width: 50%;
					box-sizing: border-box;
					padding: 10px 0;
					i{
						margin-right: 20px;
					}

					a{
						color: $primary;
					}
				}
			}
		}

		&__top,
		&__middle{
			position: relative;
			&:before{
				content: '';
				position: absolute;
				background-color: #ECECEB;
				height: 1px;
				bottom: 0;
				width: 70%;
				@media(max-width: $breakpoint){
					width: 100%;
				}
			}
		}
	}
}

</style>
